/********** COMMON **********/

:root {
    --swiper-pagination-bullet-size: 12px;
    --swiper-pagination-bullet-border-radius: 2px;
    --swiper-theme-color: #dc3545;
    --swiper-pagination-bullet-inactive-opacity: 0.3;
    --swiper-pagination-bottom: 200px;
    --swiper-pagination-bullet-inactive-color: white;
    --swiper-pagination-bullet-horizontal-gap: 5px;
}

body {
    color: #444;
}

.blind {
    position: absolute;
    clip: rect(0 0 0 0);
    width: 1px;
    height: 1px;
    margin: -1px;
    overflow: hidden;
}

.inner {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 15px;
}

p {
    line-height: 140%;
}

@keyframes scroll_indicator {
    0% {
        top: 20px;
        opacity: 50%;
    }

    100% {
        top: 100%;
        opacity: 100%;
    }
}

/********** HEADER **********/

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    z-index: 15;
}

.header.fixed {
    background: white;
    border-bottom: 1px solid #ddd;
}

.header .inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header h1 a {
    display: block;
    width: 165px;
    height: 40px;
    background: url(../images/logo_white.png) no-repeat;
}

.header.fixed h1 a {
    background: url(../images/logo.png) no-repeat;
}

.header .gnb>ul {
    display: flex;
    gap: 0 40px;
    font-size: 20px;
    color: white;
}

.header.fixed .gnb>ul {
    color: #444;
}

.header .gnb>ul>li {
    position: relative;
    padding: 30px 0;
}

.header .gnb>ul>li~li::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -20px;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.3);
    transform: translate(0, -50%);
}

.header.fixed .gnb>ul>li~li::before {
    background: rgba(0, 0, 0, 0.15);
}

.header .gnb .sub {
    position: absolute;
    display: flex;
    top: 100%;
    left: 50%;
    gap: 0 40px;
    white-space: nowrap;
    transform: translate(-50%, 0);
    visibility: hidden;
    opacity: 0;
    transition: 0.4s;
}

.header .gnb .sub::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 5000px;
    height: 0;
    background: rgba(0, 0, 0, 0.3);
    transform: translate(-50%, 0);
    z-index: -1;
    transition: height 0.4s;
}

.header.fixed .gnb .sub::before {
    background: #444;
}

.header .gnb .sub li {
    padding: 20px 0;
    font-size: 16px;
    font-weight: 300;
    line-height: 20px;
    color: #ddd;
}

.header.fixed .gnb .sub li {
    color: #eee;
}

.header .gnb>ul>li:hover .sub {
    visibility: visible;
    opacity: 1;
}

.header .gnb>ul>li:hover .sub::before {
    height: 60px;
}

.header .gnb>ul>li:last-of-type .sub {
    left: auto;
    right: 0;
    transform: translate(0);
}

.header .gnb .sub li:hover {
    text-decoration: underline;
}

/********** VISUAL **********/

.visual {
    position: relative;
}

.main_slide .item {
    position: relative;
    height: 100vh;
}

.main_slide .item::before {
    content: '';
    position: absolute;
    inset: 0 0 0 0;
    background: url(../images/pattern.png);
    opacity: 0.4;
}

.main_slide .item::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 200px;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.6), transparent);
}

.main_slide .item01 {
    background: url(../images/main01.jpg) no-repeat center center/cover;
}

.main_slide .item02 {
    background: url(../images/main02.jpg) no-repeat center center/cover;
}

.main_slide .item03 {
    background: url(../images/main03.jpg) no-repeat center center/cover;
}

.visual .slogan {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 10;
}

.visual .slogan strong {
    display: block;
    font-family: 'Oswald';
    font-size: 36px;
    font-weight: 300;
    letter-spacing: 2px;
    color: white;
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
}

.visual .slogan h2 {
    font-family: 'Oswald';
    font-size: 96px;
    font-weight: 500;
    color: white;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.75);
}

.visual .slogan h2::after {
    content: '';
    display: block;
    width: 1px;
    height: 75px;
    margin: 15px auto;
    background: #eee;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.visual .slogan p {
    font-family: 'SUITE';
    font-size: 20px;
    font-weight: 300;
    color: white;
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
}







.main_slide .swiper-pagination-bullet {
    transform: rotate(45deg);
}

/* 스크롤 인디케이터 */

.visual .scroll_indicator {
    position: absolute;
    padding-top: 20px;
    width: 2px;
    height: 164px;
    right: 100px;
    bottom: 0;
    z-index: 10;
    border-radius: 1px;
    overflow: hidden;
}

.visual .scroll_indicator::before {
    content: '';
    background: rgba(255, 255, 255, 0.15);
    position: relative;
    display: block;
    height: 100%;
}

.visual .scroll_indicator::after {
    content: '';
    display: block;
    position: absolute;
    background: white;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    top: 0;
    left: -1px;
    z-index: 10;
}

.visual .scroll_indicator .indicator_element {
    width: 100%;
    position: absolute;
    left: 0;
    top: -80px;
    background: #fff;
}

.visual .scroll_indicator .indicator_element {
    height: 80px;
    animation: scroll_indicator 1.5s both infinite;
}

/********** SCHEDULE **********/

.schedule {
    padding: 100px 0;
}

.schedule .title h2 {
    font-family: 'SUITE';
    font-weight: 800;
    font-size: 48px;
    text-align: center;
    margin-bottom: 15px;
    opacity: 0;
    transform: translateY(100px);
    transition: 0.5s;
}

.schedule.scrolled .title h2 {
    opacity: 1;
    transform: translateY(0);
}

.schedule .title p {
    font-size: 20px;
    color: #666;
    text-align: center;
    margin-bottom: 45px;
    opacity: 0;
    transform: translateY(100px);
    transition: 0.5s 0.5s;
}

.schedule.scrolled .title p {
    opacity: 1;
    transform: translateY(0);
}

.schedule_slide {
    position: relative;
    opacity: 0;
    transform: translateY(100px);
    transition: 0.5s 1s;
}

.schedule.scrolled .schedule_slide {
    opacity: 1;
    transform: translateY(0);
}

.schedule_slide::before {
    content: '';
    position: absolute;
    top: 58px;
    left: 0;
    right: 0;
    height: 4px;
    background: #dc3545;
}

.schedule_slide::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(to right, white 0%, transparent 10%, transparent 90%, white 100%);
    z-index: 5;
    pointer-events: none;
}

.schedule_slide .item {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.schedule_slide .item>* {
    display: block;
}

.schedule_slide .item::before {
    content: '';
    width: 25px;
    height: 25px;
    margin: 0 auto;
    border-radius: 50%;
    background: white;
    border: 4px solid #dc3545;
    margin-bottom: 15px;
}

.schedule_slide .item strong {
    order: -1;
    display: block;
    font-family: 'SUITE';
    font-size: 32px;
    font-weight: 800;
    margin-bottom: 15px;
    transition: color 0.4s;
}

/********** SYSTEM **********/

.system {
    padding: 100px 0;
    background: #f9f9f9;
}

.system h2 {
    font-family: 'SUITE';
    font-weight: 800;
    font-size: 48px;
    text-align: center;
    margin-bottom: 45px;
    transform: translateY(100px);
    opacity: 0;
    transition: 0.5s 0.3s;
}

.system.scrolled h2 {
    transform: translateY(0);
    opacity: 1;
}

.system ul {
    display: flex;
    gap: 0 30px;
}

.system ul li {
    flex: 1;
    background: white;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.system ul li {
    transform: rotateY(180deg);
    opacity: 0;
}

.system.scrolled ul li {
    transform: rotateY(0);
    opacity: 1;
}

.system ul li:first-of-type {
    transition: 0.5s 1s;
}

.system ul li:nth-of-type(2) {
    transition: 0.5s 1.5s;
}

.system ul li:last-of-type {
    transition: 0.5s 2s;
}

.system .text {
    position: relative;
    padding: 30px;
    text-align: center;
    min-height: 300px;
    display: flex;
    flex-direction: column;
}

.system .text::before {
    content: attr(data-order);
    position: absolute;
    top: 0;
    left: 50%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 120px;
    height: 60px;
    transform: translate(-50%, -100%);
    background: white;
    font-family: 'Oswald';
    font-size: 40px;
    border-top-left-radius: 60px;
    border-top-right-radius: 60px;
}

.system .text strong {
    display: block;
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 20px;
}

.system .text p {
    font-weight: 300;
    color: #666;
}

.system .text a {
    align-self: center;
    margin-top: auto;
    padding: 7px 15px 5px 15px;
    font-size: 14px;
    font-weight: 300;
    background: #444;
    border-radius: 14px;
    color: white;
    transition: background-color 0.4s;
}

.system ul li:hover .text a {
    background: #dc3545;
}

/********** NOTICE **********/

.notice {
    padding: 100px 0;
}

.notice h2 {
    font-family: 'SUITE';
    font-weight: 800;
    font-size: 48px;
    text-align: center;
    margin-bottom: 45px;
    transform: translateY(100px);
    opacity: 0;
    transition: 0.5s 0.3s;
}

.notice.scrolled h2 {
    transform: translateY(0);
    opacity: 1;
}


.notice .content_wrap {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0 30px;
}

.notice .left {
    transform: translateY(100px);
    opacity: 0;
    transition: 0.5s 0.8s;
}

.notice.scrolled .left {
    transform: translateY(0);
    opacity: 1;
}

.notice .right {
    transform: translateY(100px);
    opacity: 0;
    transition: 0.5s 1.3s;
}

.notice.scrolled .right {
    transform: translateY(0);
    opacity: 1;
}

.notice .news_list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0 5px;
}

.notice .news_list li {
    align-items: center;
    text-align: center;
    font-size: 18px;
    border: 1px solid #ddd;
    padding: 12px 0 10px;
    border-radius: 5px 5px 0 0;
    overflow: hidden;
    margin-bottom: -1px;
    background: #f2f2f2;
}

.notice .news_list li.active {
    background: white;
    border-bottom: 1px solid white;
    color: #dc3545;
    font-weight: 700;
}

.notice .news_cont {
    border: 1px solid #ddd;
    border-radius: 0 0 5px 5px;
    padding: 10px 20px;
}

.notice .news_cont>li {
    display: none;
}

.notice .news_cont>li.active {
    display: block;
}

.notice .news_cont ol li {
    padding: 10px 0;
}

.notice .news_cont ol li~li {
    border-top: 1px solid #eee;
}

.responsive_box {
    position: relative;
    padding-bottom: 56.25%;
    border-radius: 5px;
    overflow: hidden;
}

.responsive_box>* {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/********** FOOTER **********/

.footer {
    background: #444;
    padding: 45px 0;
    text-align: center;
}

.footer strong {
    display: block;
    color: #999;
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 20px;
}

.footer .footer_menu {
    display: flex;
    justify-content: center;
    gap: 0 40px;
    color: #eee;
    font-weight: 300;
    margin-bottom: 20px;
}

.footer .footer_menu li {
    position: relative;
}

.footer .footer_menu li~li::before {
    content: '';
    position: absolute;
    top: 50%;
    left: -20px;
    transform: translate(-50%, -50%);
    width: 5px;
    height: 5px;
    background-color: #666;
    border-radius: 50%;
}

.footer address ul {
    display: flex;
    flex-direction: column;
    gap: 15px 0;
    font-size: 14px;
    color: #ccc;
}





/********** SUB - SUB VISUAL **********/

.sub_visual {
    position: relative;
    height: 640px;
    background: url(../images/sub_visual.jpg) no-repeat center center/cover;
}

.sub_visual::before {
    content: '';
    position: absolute;
    inset: 0 0 0 0;
    background: url(../images/pattern.png);
    opacity: 0.4;
}

.sub_visual::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 200px;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.6), transparent);
}

.sub_visual .title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 10;
}

.sub_visual .title strong {
    display: block;
    font-family: 'Oswald';
    font-size: 32px;
    color: #ddd;
    font-weight: 300;
    letter-spacing: 2px;
    margin-bottom: 10px;
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.75);
}

.sub_visual .title h2 {
    font-family: 'SUITE';
    font-weight: 800;
    font-size: 60px;
    color: #eee;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.75);
}

/********** SUB - ABOUT US **********/

.about_us {
    padding: 150px 0;
    background: linear-gradient(to right, white 60%, #f9f9f9 60%);
}

.about_us .inner {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 60px;
}

.about_us .inner>* {
    flex: 1;
}

.about_us h2 {
    font-family: 'Oswald';
    font-size: 32px;
    font-weight: 300;
    margin-bottom: 20px;
    transform: translateY(100px);
    opacity: 0;
    transition: 0.8s 1.2s;
}

.about_us.scrolled h2 {
    transform: translateY(0);
    opacity: 1;
}

.about_us strong {
    display: block;
    font-family: 'SUITE';
    font-size: 40px;
    font-weight: 800;
    line-height: 56px;
    margin-bottom: 20px;
    transform: translateY(100px);
    opacity: 0;
    transition: 0.8s 1.6s;
}

.about_us.scrolled strong {
    transform: translateY(0);
    opacity: 1;
}

.about_us p {
    color: #666;
    font-weight: 300;
    margin-bottom: 15px;
    transform: translateY(100px);
    opacity: 0;
    transition: 0.8s 2s;
}

.about_us.scrolled p {
    transform: translateY(0);
    opacity: 1;
}

.about_us p:last-of-type {
    margin-bottom: 0;
}

.about_us span {
    display: block;
    font-family: 'SUITE';
    font-size: 20px;
    font-weight: 800;
    line-height: 28px;
    margin: 30px 0 20px;
    transform: translateY(100px);
    opacity: 0;
    transition: 0.8s 2s;
}

.about_us.scrolled span {
    transform: translateY(0);
    opacity: 1;
}

.about_us figure {
    overflow: hidden;
    transform: translateY(-100%);
    transition: 0.8s 0.3s;
}

.about_us figure img {
    transform: translateY(100%);
    transition: 0.8s 0.3s;
}

.about_us.scrolled figure {
    transform: translateY(0);
}

.about_us.scrolled figure img {
    transform: translateY(0);
}